Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkFloatArray Class Reference

`#include <vtkFloatArray.h>`

Inheritance diagram for vtkFloatArray:

[legend]
Collaboration diagram for vtkFloatArray:

[legend]
List of all members.

## Detailed Description

dynamic, self-adjusting floating point array

Date:
  2002/11/12 18:32:04

Revision:
  1.71

vtkFloatArray is an array of floating point numbers. It provides methods for insertion and retrieval of floating point values, and will automatically resize itself to hold new data.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Schroeder, Will (40%)
  - Martin, Ken (31%)
  - Henderson, Amy (6%)
  - Geveci, Berk (5%)
  - Kelly, Ann (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkFloatArray.cxx)`
  - .`h` (`/Common/vtkFloatArray.h)`

Examples:
  vtkFloatArray (Examples)

Tests:
  vtkFloatArray (Tests)

Definition at line 52 of file vtkFloatArray.h.

## Public Types
typedef vtkDataArray | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | Allocate (const vtkIdType sz, const vtkIdType ext=1000)
void | Initialize ()
int | GetDataTypeSize ()
void | SetNumberOfTuples (const vtkIdType number)
float * | GetTuple (const vtkIdType i)
void | Squeeze ()
virtual void | Resize (vtkIdType numTuples)
float | GetComponent (const vtkIdType i, const int j)
void | SetComponent (const vtkIdType i, const int j, float c)
void | InsertComponent (const vtkIdType i, const int j, float c)
void | SetNumberOfValues (const vtkIdType number)
void | InsertValue (const vtkIdType id, const float f)
vtkIdType | InsertNextValue (const float f)
float * | WritePointer (const vtkIdType id, const vtkIdType number)
void | DeepCopy (vtkDataArray *fa)
int | GetDataType ()
void | GetTuple (const vtkIdType i, float *tuple)
void | GetTuple (const vtkIdType i, double *tuple)
void | SetTuple (const vtkIdType i, const float *tuple)
void | SetTuple (const vtkIdType i, const double *tuple)
void | InsertTuple (const vtkIdType i, const float *tuple)
void | InsertTuple (const vtkIdType i, const double *tuple)
vtkIdType | InsertNextTuple (const float *tuple)
vtkIdType | InsertNextTuple (const double *tuple)
float | GetValue (const vtkIdType id)
void | SetValue (const vtkIdType id, const float value)
void * | GetVoidPointer (const vtkIdType id)
float * | GetPointer (const vtkIdType id)
void | SetArray (float *array, vtkIdType size, int save)
void | SetVoidArray (void *array, vtkIdType size, int save)
## Static Public Methods
vtkFloatArray * | New ()
int | IsTypeOf (const char *type)
vtkFloatArray * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkFloatArray (vtkIdType numComp=1)
| ~vtkFloatArray ()
float * | ResizeAndExtend (const vtkIdType sz)
## Protected Attributes
float * | Array
int | SaveUserArray

## Member Typedef Documentation

typedef vtkDataArray vtkFloatArray::Superclass

| Reimplemented from vtkDataArray. Definition at line 56 of file vtkFloatArray.h.

## Constructor & Destructor Documentation

vtkFloatArray::vtkFloatArray | ( | vtkIdType | numComp = 1 | ) | `[protected]`

vtkFloatArray::~vtkFloatArray | ( |  | ) | `[protected]`

## Member Function Documentation

vtkFloatArray* vtkFloatArray::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkFloatArray::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataArray.

int vtkFloatArray::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataArray.

virtual int vtkFloatArray::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataArray.

vtkFloatArray* vtkFloatArray::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataArray.

void vtkFloatArray::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataArray.

int vtkFloatArray::Allocate | ( | const vtkIdType | sz,
|  | const vtkIdType | ext = 1000
| ) | `[virtual]`

| Allocate memory for this array. Delete old storage only if necessary. Note that ext is no longer used. Implements vtkDataArray. Referenced by SetNumberOfValues().

void vtkFloatArray::Initialize | ( |  | ) | `[virtual]`

| Release storage and reset array to initial state. Implements vtkDataArray.

int vtkFloatArray::GetDataType | ( |  | ) | `[inline, virtual]`

| Get the data type. Implements vtkDataArray. Definition at line 68 of file vtkFloatArray.h. References VTK_FLOAT.

int vtkFloatArray::GetDataTypeSize | ( |  | ) | `[inline, virtual]`

| Return the size of the data type. Implements vtkDataArray. Definition at line 73 of file vtkFloatArray.h.

void vtkFloatArray::SetNumberOfTuples | ( | const vtkIdType | number | ) | `[virtual]`

| Set the number of n-tuples in the array. Implements vtkDataArray.

float* vtkFloatArray::GetTuple | ( | const vtkIdType | i | ) | `[virtual]`

| Get a pointer to a tuple at the ith location. Implements vtkDataArray.

void vtkFloatArray::GetTuple | ( | const vtkIdType | i,
|  | float * | tuple
| ) | `[virtual]`

| Copy the tuple value into a user-provided array. Implements vtkDataArray.

void vtkFloatArray::GetTuple | ( | const vtkIdType | i,
|  | double * | tuple
| ) | `[virtual]`

| Copy the tuple value into a user-provided array. Reimplemented from vtkDataArray.

void vtkFloatArray::SetTuple | ( | const vtkIdType | i,
|  | const float * | tuple
| ) | `[virtual]`

| Set the tuple value at the ith location in the array. Implements vtkDataArray.

void vtkFloatArray::SetTuple | ( | const vtkIdType | i,
|  | const double * | tuple
| ) | `[virtual]`

| Set the tuple value at the ith location in the array. Reimplemented from vtkDataArray.

void vtkFloatArray::InsertTuple | ( | const vtkIdType | i,
|  | const float * | tuple
| ) | `[virtual]`

| Insert (memory allocation performed) the tuple into the ith location in the array. Implements vtkDataArray.

void vtkFloatArray::InsertTuple | ( | const vtkIdType | i,
|  | const double * | tuple
| ) | `[virtual]`

| Insert (memory allocation performed) the tuple into the ith location in the array. Reimplemented from vtkDataArray.

vtkIdType vtkFloatArray::InsertNextTuple | ( | const float * | tuple | ) | `[virtual]`

| Insert (memory allocation performed) the tuple onto the end of the array. Implements vtkDataArray.

vtkIdType vtkFloatArray::InsertNextTuple | ( | const double * | tuple | ) | `[virtual]`

| Insert (memory allocation performed) the tuple onto the end of the array. Reimplemented from vtkDataArray.

void vtkFloatArray::Squeeze | ( |  | ) | `[inline, virtual]`

| Resize object to just fit data requirement. Reclaims extra memory. Implements vtkDataArray. Definition at line 108 of file vtkFloatArray.h.

virtual void vtkFloatArray::Resize | ( | vtkIdType | numTuples | ) | `[virtual]`

| Resize the array while conserving the data. Implements vtkDataArray.

float vtkFloatArray::GetComponent | ( | const vtkIdType | i,
|  | const int | j
| ) | `[virtual]`

| Return the data component at the ith tuple and jth component location. Note that i is less than NumberOfTuples and j is less than NumberOfComponents. Reimplemented from vtkDataArray.

void vtkFloatArray::SetComponent | ( | const vtkIdType | i,
|  | const int | j,
|  | float | c
| ) | `[virtual]`

| Set the data component at the ith tuple and jth component location. Note that i is less than NumberOfTuples and j is less than NumberOfComponents. Make sure enough memory has been allocated (use SetNumberOfTuples() and SetNumberOfComponents()). Reimplemented from vtkDataArray.

void vtkFloatArray::InsertComponent | ( | const vtkIdType | i,
|  | const int | j,
|  | float | c
| ) | `[virtual]`

| Insert the data component at ith tuple and jth component location. Note that memory allocation is performed as necessary to hold the data. Reimplemented from vtkDataArray.

float vtkFloatArray::GetValue | ( | const vtkIdType | id | ) | `[inline]`

| Get the data at a particular index. Definition at line 131 of file vtkFloatArray.h. References id, and vtkIdType.

void vtkFloatArray::SetValue | ( | const vtkIdType | id,
|  | const float | value
| ) | `[inline]`

| Set the data at a particular index. Does not do range checking. Make sure you use the method SetNumberOfValues() before inserting data. Definition at line 138 of file vtkFloatArray.h. References id, and vtkIdType.

void vtkFloatArray::SetNumberOfValues | ( | const vtkIdType | number | ) | `[inline]`

| Specify the number of values for this object to hold. Does an allocation as well as setting the MaxId ivar. Used in conjunction with SetValue() method for fast insertion. Definition at line 197 of file vtkFloatArray.h. References Allocate(), vtkDataArray::MaxId, and vtkIdType.

void vtkFloatArray::InsertValue | ( | const vtkIdType | id,
|  | const float | f
| ) | `[inline]`

| Insert data at a specified position in the array. Definition at line 219 of file vtkFloatArray.h. References Array, id, vtkDataArray::MaxId, ResizeAndExtend(), vtkDataArray::Size, and vtkIdType. Referenced by InsertNextValue().

vtkIdType vtkFloatArray::InsertNextValue | ( | const float | f | ) | `[inline]`

| Insert data at the end of the array. Return its location in the array. Definition at line 232 of file vtkFloatArray.h. References InsertValue(), vtkDataArray::MaxId, and vtkIdType.

float * vtkFloatArray::WritePointer | ( | const vtkIdType | id,
|  | const vtkIdType | number
| ) | `[inline]`

| Get the address of a particular data index. Make sure data is allocated for the number of items requested. Set MaxId according to the number of data values requested. Definition at line 204 of file vtkFloatArray.h. References Array, id, vtkDataArray::MaxId, ResizeAndExtend(), vtkDataArray::Size, and vtkIdType.

void* vtkFloatArray::GetVoidPointer | ( | const vtkIdType | id | ) | `[inline, virtual]`

| Get the address of a particular data index. Performs no checks to verify that the memory has been allocated etc. Implements vtkDataArray. Definition at line 162 of file vtkFloatArray.h. References id, and vtkIdType.

float* vtkFloatArray::GetPointer | ( | const vtkIdType | id | ) | `[inline]`

| Get the address of a particular data index. Performs no checks to verify that the memory has been allocated etc. Definition at line 164 of file vtkFloatArray.h. References id, and vtkIdType.

void vtkFloatArray::DeepCopy | ( | vtkDataArray * | fa | ) | `[virtual]`

| Deep copy of another float array. Reimplemented from vtkDataArray.

void vtkFloatArray::SetArray | ( | float * | array,
|  | vtkIdType | size,
|  | int | save
| ) |

| This method lets the user specify data to be held by the array. The array argument is a pointer to the data. size is the size of the array supplied by the user. Set save to 1 to keep the class from deleting the array when it cleans up or reallocates memory. The class uses the actual array provided; it does not copy the data from the suppled array.

void vtkFloatArray::SetVoidArray | ( | void * | array,
|  | vtkIdType | size,
|  | int | save
| ) | `[inline]`

| This method lets the user specify data to be held by the array. The array argument is a pointer to the data. size is the size of the array supplied by the user. Set save to 1 to keep the class from deleting the array when it cleans up or reallocates memory. The class uses the actual array provided; it does not copy the data from the suppled array. Definition at line 179 of file vtkFloatArray.h. References vtkIdType.

float* vtkFloatArray::ResizeAndExtend | ( | const vtkIdType | sz | ) | `[protected]`

| Referenced by InsertValue(), and WritePointer().

## Member Data Documentation

float* vtkFloatArray::Array`[protected]`

| Definition at line 188 of file vtkFloatArray.h. Referenced by InsertValue(), and WritePointer().

int vtkFloatArray::SaveUserArray`[protected]`

| Definition at line 191 of file vtkFloatArray.h.

The documentation for this class was generated from the following file:

- Common/vtkFloatArray.h